# NCollection_DefineMap.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_Map.hxx>`

## Defines

#define | DEFINE_MAP(_ClassName_, _BaseCollection_, TheKeyType) typedef NCollection_Map <TheKeyType > _ClassName_;

## Define Documentation

#define DEFINE_MAP | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheKeyType |  | ) | typedef NCollection_Map <TheKeyType > _ClassName_;